First time here? Check out the FAQ!
x

Which version of Navigator is needed for Canon 8800f on Windows 10?

0 votes
asked by
edited by

Which version of Navigator is needed for Canon 8800f on Windows 10?

1 Answer

0 votes
answered by (329k points)

Unfortunately, no version is available for Windows 10. I have checked the download page, but there wasn't anything available for Windows 10 which means this is an unsupported operating system.

Alternatively, try using the Windows 8.1 version of the software in Windows 10: http://www.canon-europe.com/support/consumer_products/products/scanners/canoscan_series/canoscan_8800f.aspx?type=download&language=EN&os=WINDOWS%208.1%20(64-bit)

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...